<?php

// Include best_lang
require_once dirname(__FILE__) . '/best_lang.php';

// If not lang set, get best lang coming from browser
if (!isset($_SESSION['lang']))
    $_SESSION['lang'] = get_best_language();



// =======================================================
// Saving language and country when received
// =======================================================

if (isset($_GET['language']))
    $_SESSION['lang'] = $_GET['language'];

if (isset($_POST['language'], $_POST['country'])){
  file_put_contents('/etc/pulse-licensing/server_preferences.json',
                    json_encode(array(
                                      'language' => $_POST['language'],
                                      'country' => $_POST['country']
                                      )));
  // Setting session lang
  $_SESSION['lang'] = $_POST['language'];
}

$language = isset($_SESSION['lang']) ? $_SESSION['lang'] . '.UTF-8' : 'C';

// Set global language
putenv("LANG=$language"); 
setlocale(LC_ALL, $language);


// Set the text domain
$domain = 'firstrun_wizard';
bindtextdomain($domain, dirname(__FILE__) . "/../locale/");
bindtextdomain($domain,  "/tmp/ddd/"); 
textdomain($domain);

?>
